name: Upload to Screeps
description: This action uploads code to the Screeps server.
inputs:
  protocol:
    description: 'The protocol to use (default: https).'
    required: false
    default: https
  hostname:
    description: 'The hostname of the Screeps server (default: screeps.com).'
    required: false
    default: screeps.com
  port:
    description: 'The port to use (default: 443).'
    required: false
    default: '443'
  path:
    description: The path for the API.
    required: false
    default: /
  token:
    description: Authentication token for Screeps.
    required: true
  username:
    description: Username for Screeps account. Used if no token is provided.
    required: false
  password:
    description: Password for Screeps account. Used if no token is provided.
    required: false
  prefix:
    description: Directory prefix for file paths.
    required: false
  pattern:
    description: 'Glob pattern to match files (default: *.js).'
    required: false
    default: '*.js'
  branch:
    description: 'Branch in Screeps to which the code will be uploaded (default: default).'
    required: false
    default: default
  git-replace:
    description: Allows for the overwrite of the "{{gitRef}}", "{{gitHash}}" and "{{deployTime}}" values in the file matching the file pattern. The file pattern will be combined with the prefix.
    required: false
runs:
  using: node12
  main: index.js
